/* Login Form Styles */
.login-container {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.login-container h2 {
    margin-bottom: 20px;
}

.login-container input {
    width: 90%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

.login-container button {
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    background-color: #0171bc;
    color: white;
    cursor: pointer;
}

.login-container button:hover {
    background-color: #c0392b;
}

/* Header - start */
.navbar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #000 !important;
    padding: 10px 20px;
}

.logo img {
    height: 40px;
}

.nav-menu {
    display:flex;
    list-style: none;
    margin: 0;
    align-items: center;
    padding: 0;
    transition: all 0.3s ease-in-out;
    font-family:Roboto, sans-serif;
    text-decoration: unset;
}

.nav-menu li {
    margin: 0 10px;
}

.navmenu, .logout-btn {
    color: #000;
    text-decoration: none;
}

.navmenu:hover, .logout-btn:hover {
    text-decoration: unset;
    color:#0171bc
}

/* Hamburger Menu */
.nav-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: pointer;
}

.nav-toggle .line {
    width: 25px;
    height: 3px;
    background-color: #0171bc;
}

.nav-menu.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 60px;
    right: 20px;
    padding: 10px 50px;
    border-radius: 5px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.nav-menu.active li {
    margin: 10px 0;
}

/* Responsive Styles */
@media (max-width: 896px) {
    .nav-menu {
        display: none;
    }
    .nav-toggle {
        display: flex;
    }
    .nav-menu.active {
        background-color: #0171bc !important;
    }
    .navmenu, .logout-btn {
        color: #fff;
        text-decoration: none;
    }
    
    .navmenu:hover, .logout-btn:hover {
        text-decoration: unset;
        color:#000
    }
    
    
}
/* Header - end */



/* Footer Styles */
footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px 0;
    position: relative;
    bottom: 0;
    width: 100%;
    margin-top:50px;
}

/** CSS Footer **/
.footer {
    background-color: #0171bc;
    color: #fff;
    text-align: center;
    padding: 2rem 1rem;
}

.footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.footer-logo .logo {
    font-size: 1.5rem;
    font-family: Roboto, sans-serif;
    font-weight: bold;
    color: #ecf0f1;
    text-decoration: none;
}

.footer-menu {
    display: flex;
    gap: 1.5rem;
    justify-content: center;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    font-family: Roboto, sans-serif;
    font-weight: 700;
}

.footer-menu li {
    list-style: none;
}

.footer-menu a {
    color: #ecf0f1;
    font-size: 0.9rem;
    transition: color 0.3s ease;
    text-decoration: none;
}

.footer-menu a:hover {
    color: #333;
}

.footer-copy {
    font-size: 0.9rem;
    margin-top: 1rem;
    opacity: 0.8;
    font-family: Roboto, sans-serif;
    font-weight: light;
}

/* Responsive Styles */
@media (max-width: 768px) {
    .footer-container {
        gap: 1rem;
    }

    .footer-menu {
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 480px) {
    .footer-logo .logo {
        font-size: 1.2rem;
    }

    .footer-menu a {
        font-size: 0.9rem;
    }

    .footer-copy {
        font-size: 0.8rem;
    }
}
/** CSS Footer - END **/

/** Dashboard **/
.dashboard-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
}

.dashboard-container h2 {
    line-height: 1.4rem;
    font-size: 1.8rem;
    color: #0171bc;
}

.dashboard-card {
    background-color: #f9f9f9;
    border: 1px solid #0171bc;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.dashboard-card h2 {
    margin: 0;
    font-size: 1.2rem;
    font-weight:400 !important;
    font-family: Roboto, sans-serif !important;
    line-height: 1.4rem;
}

.dashboard-card h3 {
    margin: 0;
    font-size: 1.2rem;
    font-weight:700 !important;
    font-family: Roboto, sans-serif !important;
    line-height: 1.4rem;
}

.dashboard-card p {
    margin: 10px 0 0;
    font-size: 1.2rem;
    font-family: Roboto, sans-serif;
    font-weight:700 !important;
    color: #000;
    line-height: 1.4rem;
}

.dashboard-card a {
    display: inline-block;
    margin-top: 15px;
    padding: 10px 15px;
    background-color: #0171bc;
    color: white;
    text-transform: initial;
    border-radius: 5px;
    font-size:1rem;
    font-family: Roboto, sans-serif;
    font-weight:400 !important;
    line-height: 1.4rem;
}

.dashboard-card a:hover {
    background-color: #ed1c25;
}


.time-management {
    background-color: #f9f9f9;
    border: 1px solid #0171bc;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    font-family: Roboto, sans-serif;
}

.time-management h3 {
    margin-bottom: 15px;
    font-size: 1.2rem;
    font-weight:700;
    font-family: Roboto, sans-serif;
}

.time-management button {
    padding: 10px 15px;
    margin: 5px;
    background-color: #0171bc;
    color: white;
    border: none;
    font-size: 1rem;
    border-radius: 5px;
    cursor: pointer;
    font-weight:400;
    font-family: Roboto, sans-serif;
}

.time-management button:hover {
    background-color: #ed1c25;
}

.time-management p {
    margin: 10px 0;
    font-size: 1rem;
    color: #000;
    font-weight:700;
    font-family: Roboto, sans-serif;
}

.dashboardcta{
    font-family: Roboto, sans-serif;
    font-weight:400;
    font-size: 1rem;
    color:#ffffff;
    background-color: #0171bc;
    border-radius: 8px;
    text-decoration:unset !important;
}

.dashboardcta:hover{
   background-color: #ed1c25;
   text-decoration:unset !important;
}

/** Dashboard - END **/

/** Change password **/
.mdp {
  font-family: Roboto, sans-serif !important;
  text-transform: uppercase;
  font-size: 1.6rem;
  font-weight: 700;
}

.enterpassword {
  font-family: Roboto, sans-serif !important;
  font-size: 1rem;
  font-weight: 400;
}

.passwordentry {
  padding: 10px 40px 10px 40px;
  border-radius: 25px;
  font-size: 0.9rem;
  border: 1.5px solid #000;
  margin-top:10px;
}

.passwordcta {
  background-color: #0171bc;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}

.passwordcta:hover {
  background-color: #ed1c25;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}
/** Change password - END **/



/** Register **/
.checkbox{
  font-family: Roboto, sans-serif !important;
  font-size: 1rem !important;
  font-weight: 400 !important;
}

.creercompte {
  font-family: Roboto, sans-serif !important;
  text-transform: uppercase;
  font-size: 1.6rem;
  font-weight: 700;
}

.nomutilisateur {
  font-family: Roboto, sans-serif !important;
  font-size: 1rem !important;
  font-weight: 400 !important;
}

.buttoncompte {
  padding: 9px 20px 8px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
  border: 1.5px solid #000;
  margin-top:10px;
}

.ctainscription {
  background-color: #0171bc;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}

.liencta {
color: #0171bc !important;
  font-size: 0.9rem;
  font-weight: 400 !important;
}

.liencta:hover {
color: #ed1c25 !important;
}

.liencta:active {
color: #ed1c25 !important;
}

.ctainscription:hover {
  background-color: #ed1c25;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}

#availability {
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
  border: 1.5px solid #000;
  margin-top:10px;
}

.registration-container {
    margin-left:50px
}

/** Register - END **/

/** New password **/
.reinitialisermdp {
  font-family: Roboto, sans-serif !important;
  text-transform: uppercase;
  font-size: 1.6rem;
  font-weight: 700;
}

.enternewmdp {
  padding: 9px 20px 8px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
  border: 1.5px solid #000;
  margin-top:10px;
}

.ctanewmdp {
  background-color: #0171bc;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}

.ctanewmdp:hover {
  background-color: #ed1c25;
  color: #fff;
  border: 0px;
  padding: 10px 20px 10px 20px;
  border-radius: 25px;
  font-size: 0.9rem;
}

.nouveaumdp {
  font-family: Roboto, sans-serif !important;
  font-size: 1rem;
  font-weight: 400;
}
/** New password - END **/

/**Gerer users**/
table {
    width: 100%;
    border-collapse: collapse;
    margin-top:30px !important;
    margin-left:20px !important;
}

table th, table td {
    padding: 10px 40px;
    border: 1px solid #0171bc !important;
    text-align: left;
}

table th a {
    text-decoration: none;
    color: inherit;
    font-family: Roboto, sans-serif !important;
    font-size: 1rem !important;
    font-weight: 400 !important;
    text-transform: initial !important;
}

table th a:hover {
    text-decoration: underline;
}
.pagination {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.ctapagination{
    text-decoration: none;
    color: inherit;
    font-family: Roboto, sans-serif !important;
    font-size: 1rem;
    font-weight: 400 !important;
    text-transform: initial;
    background-color:#0171bc;
    color:#ffffff !important;
}

.ctapagination:hover{
    text-decoration: none;
    color: inherit;
    font-family: Roboto, sans-serif !important;
    font-size: 1rem;
    font-weight: 400 !important;
    text-transform: initial;
    background-color:#ed1c25;
    color:#ffffff !important;
}

.titreh2 {
color: #0171bc;
font-size:1.8rem;
line-height:1.5rem;
margin-right:10px;
margin-left:20px;
font-family: Roboto, sans-serif;
text-transform:Uppercase;
}

.inputgereruser {
    border:2px solid #0171bc;
    padding: 8px 20px;
    border-radius: 20px;
    margin-bottom:10px;
    text-align: center !important;
}

.inputgereruser:hover {
    border:2px solid #0171bc;
    padding: 8px 20px;
    border-radius: 20px;
    margin-bottom:10px;
    text-align: center !important;
}

.ctauser {
    background-color: #0171bc;
    color:#fff;
    border: unset;
    padding: 8px 57px;
    border-radius:20px;
    margin-bottom:10px;
}

.ctauser:hover {
    background-color: #ed1c25;
    color: #fff;
    border: unset;
    padding: 8px 57px;
    border-radius: 20px;
    margin-bottom: 10px;  
}

.exportercsv {
    font-weight: 400;
    background-color: #0171bc;
    color: white;
    padding:10px 100px;
    border-radius:10px;
    font-size: 0.9rem !important;
    margin:20px;
    margin-top:20px !important;
    text-transform: initial;
    font-family: Roboto, sans-serif;
    text-decoration:unset !important;
}

.exportercsv:hover{
    background-color: #ed1c25;
    color: white;
    font-weight: 400;
    padding:10px 100px;
    border-radius:10px;
    font-size: 1rem;
    margin:20px;
    text-transform: initial;
}

.pagination a {
    text-decoration: none;
    padding: 5px 10px;
    border-radius: 10px;
    color: #000;
    font-family: Roboto, sans-serif;
}
.pagination a.active {
    background-color: #ed1c25;
    color: white;
}

.usagerinfo {
    font-family: Roboto, sans-serif !important;
    font-size: 1rem;
    font-weight: 400 !important;
    text-transform: initial;
    color:#000 !important;
}

td {
    text-transform: math-auto;
}

.uniquenumero{
    text-transform: initial;
    font-family: Roboto, sans-serif;
    text-decoration:unset;
}

/** Gerer les prix panier alimentaire  **/

        .pricing-container {
            max-width: 500px;
            margin: auto;
            padding: 20px;
        }
        
        .foodbasketprice {
            display: block;
            margin-top: 10px;
            font-family: Roboto, sans-serif;
        }
        
        .foodbasketgestion{
            font-family: Roboto, sans-serif;
            text-transform:uppercase;
            color: #0171bc;
            font-weight:700;
        }
        
        input[type="number"] {
            width: 100%;
            padding: 8px;
            margin-top: 5px;
        }
        
        .prixpaniercta {
            margin-top: 15px;
            padding: 10px 50px;
            background-color:#0171bc;
            color:#fff;
            border:unset;
            border-radius:30px;
        }
        
        small {
            color: gray;
            font-family: Roboto, sans-serif;
        }
        
       /** Profil usager **/
        .profilinfo{
            margin-left:20px;
        }

        .ctaregisterpanier{
            background-color: #0171bc;
            color:#fff;
            border: unset;
            padding: 8px 57px;
            border-radius:20px;
            margin-bottom:10px;
            margin-top:10px;
        }

        .ctaregisterpanier:hover{
            background-color: #ed1c25;
            color:#fff;
            border: unset;
            padding: 8px 57px;
            border-radius:20px;
            margin-bottom:10px;
            margin-top:10px;
        }
        

        .liensmodifications{
            background-color: #0171bc;
            color:#fff !important;
            text-decoration: unset !important;
            padding:10px 20px;
            border-radius:30px;
            font-size:0.8rem;
            font-family:Roboto, sans-serif;
        }

        .liensmodifications:hover{
            background-color: #ed1c25;
            color:#fff !important;
            text-decoration: unset !important;
            padding:10px 20px;
            border-radius:30px;
        }

    .suppusager {
    background-color: red;  
    color:#fff;
    cursor: pointer;
    border: none;
    background: none;
    font-family: Roboto, sans-serif;
    font-size: 1rem;
    text-decoration: underline;
}


    .suppusager:hover {
    bakcground-color: red; 
    color:#fff;
    cursor: pointer;
    border: none;
    background: none;
    font-family: Roboto, sans-serif;
    font-size: 1rem;
    text-decoration: underline;
}
        
        /**Time manager**/
        .timemanagertextarea {
            font-size:0.9rem !important;
            font-family: Roboto, sans-serif !important;
            font-weight: 400 !important;
            text-transform: initial;
        }
        
        td {
         white-space: nowrap;
         font-size:0.9rem !important;
         font-weight:400 !important;
        }
        
        /**Connexion**/
        .oubliermdp {
            font-family: Roboto, sans-serif !important;
            font-size: 1rem;
            font-weight: 400 !important;
            text-transform: initial;
            text-decoration:none;
            color:#0171bc;
    }

    .oubliermdp:hover {
        font-family: Roboto, sans-serif !important;
        font-size: 1rem;
        font-weight: 400 !important;
        text-transform: initial;
        text-decoration:none;
        color:#ed1c25;
}

.nameutilisateur{
    font-family: Roboto, sans-serif !important;
        font-size: 1.2rem;
        font-weight: 700 !important;
        padding-bottom: 50px !important;
}

.inputnameutilisateur {
    border:2px solid #0171bc !important;
    padding: 8px 20px !important;
    border-radius: 20px !important;
    margin-top:10px !important;
    text-align: center !important;
}

.seconnecter{
    background-color: #0171bc !important;
    color:#fff !important;
    border: unset !important;
    border-radius:20px !important;
    margin-bottom:10px !important;
    margin-top:10px !important;
}

.seconnecter:hover {
    background-color: #ed1c25 !important;
    color:#fff !important;
    border: unset !important;
    border-radius:20px !important;
    margin-bottom:10px !important;
    margin-top:10px !important;
}

.titreconnexion {
   color: #0171bc;
   font-family: Roboto, sans-serif !important;
   font-size:1.8rem;
   line-height:1.5rem;
}

/** Approve usager **/

.informationusager{
   font-family: Roboto, sans-serif;
   font-size:1.2rem;
}

.informations {
    font-family: Roboto, sans-serif;
    font-size:1rem;
}

.usager-info {
    margin-left:20px;
}

.novalid {
            background-color: #ed1c25;
            color:#fff;
            border: unset;
            padding: 8px 57px;
            border-radius:20px;
            margin-bottom:10px;
            margin-top:10px;
}

.novalid:hover {
            background-color: #0171bc;
            color:#fff;
            border: unset;
            padding: 8px 57px;
            border-radius:20px;
            margin-bottom:10px;
            margin-top:10px;
}

/**View user**/

.order-label{
    font-family: Roboto, sans-serif;
    font-size:1rem;
}

.titreh3 {
color: #0171bc;
font-size:1.8rem;
line-height:1.5rem;
font-family: Roboto, sans-serif;
text-transform:Uppercase;
}

.error-message{
    font-family: Roboto, sans-serif;
    font-size:1rem;
}

.donation-label{
    font-family: Roboto, sans-serif;
    font-size:1rem;
}

.error-message{
    color:#0171bc;
    font-family: Roboto, sans-serif;
}

.success-message{
    color:#03b30c;
    font-family: Roboto, sans-serif;
}

/* Style for the container */
.actions {
    display: flex;                /* Use flexbox for layout */
    align-items: center;          /* Align items vertically */
    justify-content: space-between; /* Push the button to the far right */
    padding-left: 10px;                /* Optional padding */
}

/* Group links together */
.links {
    display: flex;                /* Arrange links side by side */
    gap: 15px;                    /* Add space between the links */
}

/* Link styles */
.action-link {
    text-decoration: none;        /* Remove underline */
    color: #007bff;               /* Link color */
    font-family: Roboto, sans-serif;
    font-size: 1rem;
    cursor: pointer;
}

/** create benevole -start**/


/* Container for centering */
.registration-container {
    max-width: 600px;
    margin: 0 auto;
    margin-top:50px;
    padding: 30px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    font-family:roboto, sans-serif;
}

/* Title Styling */
.registration-title {
    text-align: center;
    font-size: 1.5rem;
    margin-bottom: 20px;
}

/* Form Styling */
.registration-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

/* Form Group */
.form-group {
    display: flex;
    flex-direction: column;
}

.form-label {
    margin-bottom: 5px;
    font-weight: bold;
}

.form-input {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
    font-family:roboto, sans-serif;
}

/* Form Actions */
.form-actions {
    text-align: center;
}

.form-button {
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    background-color: #0171bc;
    border: none;
    border-radius: 8px;
    cursor: pointer;
}

.form-button:hover {
    background-color: #ed1c25;
}

/* Error and Success Messages */
.error-message {
    color: #ff0000;
    font-size: 0.9rem;
    text-align: center;
}

.success-message {
    color: #28a745;
    font-size: 0.9rem;
    text-align: center;
}

/* Responsive Design */
@media (max-width: 768px) {
    .registration-container {
        padding: 15px;
    }

    .form-input {
        font-size: 0.9rem;
    }

    .form-button {
        font-size: 0.9rem;
    }
}